<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">	
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?> >

<div id="wrapper">
	<div id="header">
		<div id="logo"><?php if ( function_exists( 'the_custom_logo' ) ) { the_custom_logo(); } ?></div>
		<div id="sitename"><a href="<?php echo esc_url(home_url('/')); ?>"> <?php bloginfo('name'); ?></a></div>
		<div id="slogan"><?php bloginfo('description'); ?></div>
	</div>
	<div id="menu">
		<div id="home"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url(get_template_directory_uri() . '/images/home.png'); ?>" alt="<?php bloginfo('name'); ?>" ></a></div>
		<div id="nav-menu"><?php wp_nav_menu( array( 'theme_location' => 'menu' ) ); ?></div>
		<div style="clear: both;"></div>
	</div>
	<div id="main">
		<div id="content">